<template>
  <div
    class="feature-section fr-mt-1w"
    :class="{ 'fr-accordion': title }"
  >
    <div
      v-if="title"
      class="fr-accordion__title"
    >
      <button
        class="fr-accordion__btn fr-h4"
        aria-expanded="true"
        :aria-controls="infoSectionId"
      >
        <div
          role="heading"
          aria-level="4"
        >
          {{ title }}
        </div>
      </button>
    </div>
    <div
      :id="title ? infoSectionId : undefined"
      :class="{ 'fr-collapse': title }"
    >
      <div>
        <slot></slot>
        <ul
          v-if="editLink"
          class="fr-btns-group fr-btns-group--inline fr-btns-group--right"
        >
          <li>
            <NuxtLink
              :to="`${editLink}`"
              class="fr-btn fr-btn--secondary"
              title="Modifier"
            >
              Modifier
            </NuxtLink>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
  import { getRandId } from '~/utils/random'

  defineProps<{
    title?: string
    editLink?: string
  }>()

  const infoSectionId = computed(() => getRandId('beneficiary-info-section-'))
</script>

<style scoped lang="scss">
  .fr-accordion::before {
    content: none;
  }

  .feature-section {
    padding: 2.5rem;
  }

  .fr-accordion.feature-section {
    padding: 0;
  }

  .fr-accordion__btn {
    color: var(--text-title-blue-france);
    padding: 1.5rem 2.5rem;
    border-radius: 0.5rem;

    &[aria-expanded='true'] {
      background-color: initial;
      border-bottom: 1px solid var(--border-default-grey);
      border-radius: 0.5rem 0.5rem 0 0;
    }
  }

  .fr-accordion .fr-collapse {
    padding: 0 2.75rem;
  }

  .fr-accordion .fr-collapse--expanded {
    padding-bottom: 1rem;
    padding-top: 1rem;
  }

  .fr-btns-group.fr-btns-group--inline .fr-btn {
    margin-bottom: 0;
  }
</style>
